
Redmine - Defect #10457

Could not modify email footer on setting page

2012-03-15 18:36 - Fuyuan Cheng

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi all,

I tried to modify email footer on setting page, but after I submit change then redirect 404 page.

I've check log file of Redmine, the message below:

Processing ApplicationController#index (for 111.240.18.17 at 2012-03-15 11:28:01) [GET]

  Parameters: {"commit"=>"儲存", "authenticity_token"=>"(I think this info need hidden?)", "settings

"=>{"notified_events"=>["", "issue_added", "issue_updated"], "default_notification_option"=>"only_

my_events", "mail_from"=>"redmine@tayanswa.tw", "emails_header"=>"", "bcc_recipients"=>"1", "email

s_footer"=>"收到這個訊息，是因為您參與了專案管理系統。\r\n要改變接收訊息的設定值，請登入此網站", "plain_text_mail"=>"0"}}

ActionController::RoutingError (No route matches "/400.shtml" with {:method=>:get}):

  config/initializers/mongrel.rb:62:in `dispatch_cgi'

Rendering /home/myaccount/redmine/public/404.html (404 Not Found)

 BTW, the system environment for my Redmine below:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.6

Rack version              1.1.3

Rails version             2.3.11

Active Record version     2.3.11

Active Resource version   2.3.11

Action Mailer version     2.3.11

Active Support version    2.3.11

Application root          /home/myaccount/redmine

Environment               production

Database adapter          mysql

Database schema version   20111010202847

About your Redmine plugins

Redmine Issue Checklist plugin     1.0.1

DMSF                               1.2.2

CRM plugin                         2.2.3-light

Redmine Light Box plugin           0.0.1

Redmine Dnoise Workload plugin     0.0.1

Redmine Contacts Invoices plugin   0.0.2

Redmine Logs plugin                0.0.3

Redmine Local Avatars plugin       0.1.1

Screenshots                        0.1.0

 I appreciate you if anyone could help me to solve this issue.

History

#1 - 2012-03-24 17:01 - Jean-Philippe Lang

- Resolution set to Cant reproduce
#2 - 2013-04-14 03:01 - Filou Centrinov

Please upgrade your Redmine. Test also without plugins.

#3 - 2013-04-14 10:26 - Toshi MARUYAMA

- Status changed from New to Needs feedback

#4 - 2013-09-01 23:12 - Jan Niggemann (redmine.org team member)

IMHO this can be closed with "no feedback"...

#5 - 2013-09-09 11:02 - Toshi MARUYAMA

- Status changed from Needs feedback to Closed
